> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1messagedetails



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.FIDS.Connector//swagger/v1/swagger.json post /api/v1/message/details
openapi: 3.0.0
info:
  title: NDS.Services.FIDS.Connector
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.FIDS.Connector/
security: []
paths:
  /api/v1/message/details:
    post:
      tags:
        - Message
      operationId: Message_GetMessageDetails
      requestBody:
        x-name: identifier
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessageIdentifier'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMessageDetailResult'
components:
  schemas:
    MessageIdentifier:
      type: object
      additionalProperties: false
      properties:
        MessageSourceId:
          type: string
          nullable: true
        MessageId:
          type: string
          nullable: true
    GetMessageDetailResult:
      type: object
      additionalProperties: false
      properties:
        Data:
          type: string
          nullable: true
        MQMessage:
          nullable: true
        Exception:
          nullable: true
        Log:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/MessageLogEntry'
    MessageLogEntry:
      type: object
      additionalProperties: false
      properties:
        TimeStamp:
          type: string
          format: date-time
        Level:
          type: string
          nullable: true
        Message:
          type: string
          nullable: true
        Exception:
          type: string
          nullable: true

````